//#############################################################################################################################################################################################################
#ifndef _IDIBUS_CALLBACK_INTERFACE_H_
#define _IDIBUS_CALLBACK_INTERFACE_H_
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#include <inttypes.h>
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
class IdiBusCallbackInterface {
	public:
	static void USART_Callback_InterruptTX   (IdiBusCallbackInterface *inst) { inst->USART_TxInterruptFunc();   }
	static void USART_Callback_InterruptRX   (IdiBusCallbackInterface *inst) { inst->USART_RxInterruptFunc();   }
	static void USART_Callback_InterruptUDRE (IdiBusCallbackInterface *inst) { inst->USART_UdreInterruptFunc(); }
	virtual void USART_RxInterruptFunc(void) {}
	virtual void USART_TxInterruptFunc(void) {}
	virtual void USART_UdreInterruptFunc(void) {}
		
	static void TIM_Callback_InterruptCOMPA (IdiBusCallbackInterface *inst) { inst->TIM_COMPA_InterruptFunc(); }
	static void TIM_Callback_InterruptCOMPB (IdiBusCallbackInterface *inst) { inst->TIM_COMPB_InterruptFunc(); }
	static void TIM_Callback_InterruptCOMPC (IdiBusCallbackInterface *inst) { inst->TIM_COMPC_InterruptFunc(); }
	static void TIM_Callback_InterruptOVF   (IdiBusCallbackInterface *inst) { inst->TIM_OVF_InterruptFunc();   }
	virtual void TIM_COMPA_InterruptFunc (void) {}
	virtual void TIM_COMPB_InterruptFunc (void) {}
	virtual void TIM_COMPC_InterruptFunc (void) {}
	virtual void TIM_OVF_InterruptFunc (void)   {}
	};

typedef void (*CallbackTypeFunction)(IdiBusCallbackInterface*);	
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#endif //#define _IDIBUS_CALLBACK_INTERFACE_H_
//#############################################################################################################################################################################################################
