//#############################################################################################################################################################################################################
#ifndef _IDIBUS_DATE_TIME_H_
#define _IDIBUS_DATE_TIME_H_
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#include "IdiBusSystem.h"
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
class IdiDateFormat {
	public:
		IdiDateFormat(uint8_t day, uint8_t month, uint8_t century, uint8_t year99);
		uint8_t Day;
		uint8_t Month;
		uint8_t Century;
		uint8_t Year99;
		uint8_t isValid(void);
		uint8_t getSize(void);
		void    getBufForMMES(uint8_t *Data);
};
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
class IdiTimeFormat {
	public:
		IdiTimeFormat(uint8_t seconds, uint8_t minutes, uint8_t hours, int8_t timezone);
		uint8_t Seconds;
		uint8_t Minutes;
		uint8_t Hours;
		int8_t  TimeZone;
		uint8_t isValid(void);
		uint8_t getSize(void);
		void    getBufForMMES(uint8_t *Data);
};
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#endif //#define _IDIBUS_DATE_TIME_H_
//#############################################################################################################################################################################################################
