//#############################################################################################################################################################################################################
#ifndef _IDIBUS_INTERRUPTS_LIST_H_
#define _IDIBUS_INTERRUPTS_LIST_H_
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include "IdiBusCallbackInterface.h"
#include "IdiBusInterruptsDisable.h"
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
struct IDIBUS_INTERRUPT_LISTENERS_STR {
	#ifndef IDIBUS_USART0_ISR_DISABLE
	IdiBusCallbackInterface *USART0_CallbackInstance;
	#endif
	#ifndef IDIBUS_USART1_ISR_DISABLE
	IdiBusCallbackInterface *USART1_CallbackInstance;
	#endif
	#ifndef IDIBUS_USART2_ISR_DISABLE
	IdiBusCallbackInterface *USART2_CallbackInstance;
	#endif
	#ifndef IDIBUS_USART3_ISR_DISABLE
	IdiBusCallbackInterface *USART3_CallbackInstance;
	#endif
	
	#ifndef IDIBUS_TIM0_ISR_DISABLE
	IdiBusCallbackInterface *TIM0_CallbackInstance;
	#endif
	#ifndef IDIBUS_TIM1_ISR_DISABLE
	IdiBusCallbackInterface *TIM1_CallbackInstance;
	#endif
	#ifndef IDIBUS_TIM2_ISR_DISABLE
	IdiBusCallbackInterface *TIM2_CallbackInstance;
	#endif
	#ifndef IDIBUS_TIM3_ISR_DISABLE
	IdiBusCallbackInterface *TIM3_CallbackInstance;
	#endif
	#ifndef IDIBUS_TIM4_ISR_DISABLE
	IdiBusCallbackInterface *TIM4_CallbackInstance;
	#endif
	#ifndef IDIBUS_TIM5_ISR_DISABLE
	IdiBusCallbackInterface *TIM5_CallbackInstance;
	#endif
	};
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
extern struct IDIBUS_INTERRUPT_LISTENERS_STR InterruptListenersList;
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#endif //_IDIBUS_INTERRUPTS_LIST_H_
//#############################################################################################################################################################################################################
